# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/sound/ti,pcm1862.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Texas Instruments PCM186x Universal Audio ADC

maintainers:
  - Ranganath V N <vnranganath.20@gmail.com>

description: |
  The Texas Instruments PCM186x family are multi-channel audio ADCs
  that support both I2C and SPI control interfaces, selected by
  pin strapping. These devices include on-chip programmable gain
  amplifiers and support differential or single-ended analog inputs.

  CODEC input pins:
    * VINL1
    * VINR1
    * VINL2
    * VINR2
    * VINL3
    * VINR3
    * VINL4
    * VINR4

  The pins can be used in referring sound node's audio-routing property.

allOf:
  - $ref: dai-common.yaml#

properties:
  compatible:
    enum:
      - ti,pcm1862
      - ti,pcm1863
      - ti,pcm1864
      - ti,pcm1865

  reg:
    maxItems: 1

  avdd-supply: true

  dvdd-supply: true

  iovdd-supply: true

  '#sound-dai-cells':
    const: 0

required:
  - compatible
  - reg
  - avdd-supply
  - dvdd-supply
  - iovdd-supply

unevaluatedProperties: false

examples:
  - |
    i2c {
        #address-cells = <1>;
        #size-cells = <0>;

        audio-codec@4a {
            compatible = "ti,pcm1865";
            reg = <0x4a>;

            avdd-supply = <&reg_3v3_analog>;
            dvdd-supply = <&reg_3v3>;
            iovdd-supply = <&reg_1v8>;
        };
    };
